#ifndef DAC_H
#define DAC_H



// DAC ****************************************************
// external Reference Voltages: 
// PA0 <= ARA; VREF fr Photodioden
// PB0 <= ARB; VREF fr zweite Verstrkerstufe


// DAC - VREF ==> PRL.VA, PRL.VB
//#define VREF 	0x0883		// Ziel ist Referenzspannung 1.65V


// Setup DAC 
// Ziel: Ausgabe von zwei statischen Spannungen 
// an DAC-Outputs 
// 		PB2 ~ DAC0 ~ AREFB Referenz VV-Stufe2 1,65V
// 		PB3 ~ DAC1 ~ AREFA Referenz VV-Stufe1 1,65V "0,0 Volt im LION"

void DAC_config();



#endif ////////////////////////// end of header /////////////////////////////////
