#ifndef EEPROM_H
#define EEPROM_H


// EEPROM NVM ***************************************************************

// 64 pages a 32 byte, E2PAGE = ADDR[10:5], E2BYTE = ADDR[4:0]
// EEPROM_PAGE_SIZE = 32 	// ist aus iox192a3.h - das wissen Driver-Entwickler von Atmel nicht
// sie definieren im eeprom_driver.h die Sache neu


// CPU_CCP schnell durchrattern (Atmel): Scheidreck! Erzeugt Spuk!
// Systick-Interrupt stottert! Hnde weg!
/*
#define NVM_EXEC() asm("push r30"      "\n\t"	\
	"push r31"      "\n\t"	\
	"push r16"      "\n\t"	\
	"push r18"      "\n\t"	\
	"ldi r30, 0xCB" "\n\t"	\
	"ldi r31, 0x01" "\n\t"	\
	"ldi r16, 0xD8" "\n\t"	\
	"ldi r18, 0x01" "\n\t"	\
	"out 0x34, r16" "\n\t"	\
	"st Z, r18"	    "\n\t"	\
	"pop r18"       "\n\t"	\
	"pop r16"       "\n\t"	\
	"pop r31"       "\n\t"	\
	"pop r30"       "\n\t"	\
) */


void EEPROM_Init(void);

void EEPROMwritePage(uint16_t addr);
// void EEPROMwriteBlock(void *Src, void *Dst, size_t lenge);
void EEPROMwriteBlock(void *Src, void *Dst, size_t lenge);
void EEPROMsaveParlist();		// write parameter-list of type par_t

// void *EEPROMreadBlock(void *Dst, void *Src, size_t lenge);
void *EEPROMreadBlock(void *Dst, void *Src, size_t lenge);
void EEPROMreadParlist(); 		// read  parameter-list of type par_t


#endif ////////////////////////// end of header /////////////////////////////////
