#ifndef BUTTON_H
#define BUTTON_H

// Button init *********************************

// PC0 SW2 "ENTER" with internal pullup
#define BTNPORT PORTC		// ENTER-Button port		###
#define BTNPIN (1<<PIN0)	// ENTER-Button pin 		###

void BTN_config(void);


// Button check, Tasten-Entprellung ***********************

#define PRELLZAHL 10			// geforderte Anzahl von gleichen Abtastungen bei systick

uint8_t entprelle(void);
void BTN_check(void);
uint8_t getkey(uint8_t *portreg, uint8_t mask_bm);


#endif ////////////////////////// end of header /////////////////////////////////
